Package org.springframework.test.context

# Interface BootstrapContext

All Known Implementing Classes:
  `DefaultBootstrapContext`

public interface BootstrapContext
`BootstrapContext` encapsulates the context in which the Spring TestContext Framework is bootstrapped.

Since:
  4.1
Author:
  Sam Brannen
See Also:
  - `BootstrapWith`
  - `TestContextBootstrapper`

## Method Summary

Modifier and Type
Method
Description
`CacheAwareContextLoaderDelegate`
`getCacheAwareContextLoaderDelegate()`
Get the `CacheAwareContextLoaderDelegate` to use for transparent interaction with the `ContextCache`.
`Class<?>`
`getTestClass()`
Get the test class for this bootstrap context.

## Method Details

### getTestClass

Class<?> getTestClass()
Get the test class for this bootstrap context.

Returns:
  the test class (never `null`)

### getCacheAwareContextLoaderDelegate

CacheAwareContextLoaderDelegate getCacheAwareContextLoaderDelegate()
Get the `CacheAwareContextLoaderDelegate` to use for transparent interaction with the `ContextCache`.

Returns:
  the context loader delegate (never `null`)